Slowing down site speed with deprecated API

I’m not sure this is something that needs to be addressed.

It’s very common for scripts that are intended to work across lots of browsers (especially older ones) to use deprecated APIs. Something like Bot Fight Mode has to support pretty dated browsers, so it’s likely this code is in place to work on these old browsers and are safely just ignored in modern ones.

Are you seeing any actual issues? Otherwise this Lighthouse warning is benign and safe to ignore. It will not slow down your site, at all.

Here’s confirmation from one of the engineers on that team:

3 Likes